package net.pricefx.common.apibuilder.rebateagreement;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import net.pricefx.common.apibuilder.clicoll.LineItemHelper;


public class RebateAgreementHelper extends LineItemHelper {

	public RebateAgreementHelper(Map<String, Object> calculableLineItemCollection) {
		super(calculableLineItemCollection);
	}

	@SuppressWarnings("unchecked")
	public List<LineItem> findAllWithRebateTypeUN(String rebateTypeUN) {
		ArrayList<LineItem> is = new ArrayList<>();
		for (Entry<String, Object> e : idToLineItem.entrySet()) {
			Map<String, Object> lineItemMap = (Map<String, Object>) e.getValue();
			if (rebateTypeUN.equals(lineItemMap.get("rebateType"))) {
				is.add(lineItemFromMap(lineItemMap));
			}
		}
		return is;
	}
	
}
